- Qt 5.15
- Qt Network
- C++ Classes
- QDnsHostAddressRecord
- Qt 5.15.19 Reference Documentation

# QDnsHostAddressRecord Class

The QDnsHostAddressRecord class stores information about a host address record. More...

Header: | #include <QDnsHostAddressRecord>
qmake: | QT += network

- List of all members, including inherited members

## Public Functions

| QDnsHostAddressRecord(const QDnsHostAddressRecord &other)
| QDnsHostAddressRecord()
QDnsHostAddressRecord & | operator=(const QDnsHostAddressRecord &other)
| ~QDnsHostAddressRecord()
QString | name() const
void | swap(QDnsHostAddressRecord &other)
quint32 | timeToLive() const
QHostAddress | value() const

## Detailed Description

When performing an address lookup, zero or more records will be returned. Each record is represented by a QDnsHostAddressRecord instance.

See also QDnsLookup.

## Member Function Documentation

### QDnsHostAddressRecord::QDnsHostAddressRecord(const QDnsHostAddressRecord &other)

Constructs a copy of other.

### QDnsHostAddressRecord::QDnsHostAddressRecord()

Constructs an empty host address record object.

### QDnsHostAddressRecord &QDnsHostAddressRecord::operator=(const QDnsHostAddressRecord &other)

Assigns the data of the other object to this record object, and returns a reference to it.

### QDnsHostAddressRecord::~QDnsHostAddressRecord()

Destroys a host address record.

### QString QDnsHostAddressRecord::name() const

Returns the name for this record.

### void QDnsHostAddressRecord::swap(QDnsHostAddressRecord &other)

Swaps this host address record instance with other. This function is very fast and never fails.

### quint32 QDnsHostAddressRecord::timeToLive() const

Returns the duration in seconds for which this record is valid.

### QHostAddress QDnsHostAddressRecord::value() const

Returns the value for this host address record.